summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-packageslists
Commit message (Collapse)AuthorAgeFilesLines
* Install bilibop-udev (closes: todo/make_system_disk_read-only).Tails developers2013-05-121-0/+1
|
* Install gnome-accessibility-themes packageTails developers2013-04-251-0/+2
|
* Install gnome-screenshot.Tails developers2013-04-101-0/+1
| | | | | It is tiny and well integrated with the desktop (keybinding) compared to the equivalent Gimp feature.
* Merge remote-tracking branch 'origin/stable' into ↵Tails developers2013-03-291-1/+0
|\ | | | | | | feature/automated_tests/cucumber
| * Don't install python-parted.Tails developers2013-03-281-1/+0
| | | | | | | | It was pulled for liveusb-creator, that does not depend on it anymore.
* | Merge branch 'stable' into feature/automated_tests/cucumberTails developers2013-03-201-10/+49
|\ \ | |/ | | | | | | Conflicts: config/chroot_local-packageslists/tails-common.list
| * Merge remote branch 'origin/feature/gobi-loader' into develTails developers2013-02-101-0/+1
| |\
| | * Install firmware loader for Qualcomm Gobi USB chipsets.Tails developers2013-02-041-0/+1
| | | | | | | | | | | | This is needed to have various mobile broadband chipsets work.
| * | Merge remote branch 'origin/feature/install-password-manager' into develTails developers2013-02-091-0/+1
| |\ \ | | |/ | |/|
| | * Merge branch 'devel' into feature/install-password-managerTails developers2013-01-031-2/+13
| | |\
| | * | Install the KeePassX password manager.Tails developers2012-11-291-0/+1
| | | |
| * | | Merge remote branch 'origin/feature/regular-gnupg-agent' into develTails developers2013-01-221-0/+2
| |\ \ \ | | |_|/ | |/| |
| | * | Install pinentry-gtk2.Tails developers2013-01-011-0/+1
| | | |
| | * | Install the regular GnuPG agent.Tails developers2013-01-011-0/+1
| | | |
| * | | Install dictionaries for supported languages.Tails developers2012-12-221-0/+12
| |/ / | | | | | | | | | | | | Install hunspell dictionaries when possible, fall back on myspell ones else.
| * | Merge branch 'feature/remove-xul-ext-monkeysphere' into develTails developers2012-12-111-1/+0
| |\ \
| | * | Don't install xul-ext-monkeysphere anymore.Tails developers2012-12-071-1/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | As decided on todo/monkeysphere_keyserver_policy, because: the implication of the current settings are not well understood, Monkeysphere is little used in Tails, and we're not sure anymore it would be our first bet for the web browser profile with no CA. Let's keep the various configuration bits (e.g. FoxyProxy, patching MSVA), though, so that advanced users who are used to have Monkeysphere in Tails just have to install the package.
| * | | Install ekeyd to support the EntropyKey.Tails developers2012-12-071-0/+1
| |/ /
| * | Do not install a placeholder (fake) FireGPG iceweasel extension anymore.Tails developers2012-11-241-1/+0
| |/ | | | | | | | | It was shipped from 0.10 (early 2012) to 0.15 (late November, same year), so the migration period should be over now.
| * Merge remote-tracking branch 'origin/feature/unsafe_browser_name' into develTails developers2012-11-221-0/+1
| |\
| | * Merge branch 'devel' into feature/unsafe_browser_nameTails developers2012-11-211-1/+19
| | |\ | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Conflicts: config/chroot_local-includes/usr/share/locale/ar/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/de/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/en/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/es/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/fa/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/fr/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/it/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/pt/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/ru/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/vi/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/locale/zh/LC_MESSAGES/unsafe-browser.po config/chroot_local-includes/usr/share/unsafe-browser/messages.pot
| | * | Install p7zip-full.Tails developers2012-11-211-0/+1
| | | | | | | | | | | | | | | | | | | | It's a dep by file-roller, but we explicily use it elsewhere, and it's better to be safe than sorry.
| * | | Install font for Sinhala.Tails developers2012-11-141-0/+2
| | |/ | |/| | | | | | | | | | | | | | | | | | | | | | Sinhala is spoken by 15-20 millions of people, mainly in Sri Lanka. (Source: Wikipedia) We're told Sinhala can't be read properly in Tails 0.14, recommended to install this font, that is recommended by task-sinhala-desktop.
| * | Use our own APT repository instead of chroot_local-packagesTails developers2012-11-141-0/+5
| | |
| * | Get tails-persistence-setup package from the APT repositoryTails developers2012-11-131-0/+1
| | |
| * | Merge remote branch 'origin/feature/obfsproxy' into develTails developers2012-11-131-0/+1
| |\ \
| | * \ Merge branch 'testing' into feature/obfsproxyTails developers2012-11-121-0/+1
| | |\ \
| | * | | Install obfsproxy.Tails developers2012-10-241-0/+1
| | | | |
| * | | | Merge remote branch 'origin/feature/hpijs' into develTails developers2012-11-131-0/+1
| |\ \ \ \
| | * | | | Install HPIJS PPD files.Tails developers2012-11-091-0/+1
| | | |/ / | | |/| | | | | | | | | | | | | | | | | | | | | | Note that this depends on IJS driver (hpijs), and adds support for some printers, such as Xerox DocuemntCenter400.
| * | | | Merge remote branch 'origin/feature/korean_input' into develTails developers2012-11-131-0/+2
| |\ \ \ \
| | * | | | Add the Hangul Input Method Engine for SCIM.Tails developers2012-10-211-0/+2
| | | |/ / | | |/| |
| * | | | Merge branch 'feature/OpenPGP-SmartCard' into develTails developers2012-11-121-0/+4
| |\ \ \ \
| | * | | | Install pcscd and libccid from squeeze-backports.Tails developers2012-11-021-0/+4
| | | |/ / | | |/| | | | | | | | | | | | This is needed to support, to some extent, some OpenPGP SmartCard readers.
| * | | | Merge branch 'feature/remove-pdnsd' into develTails developers2012-11-121-1/+0
| |\ \ \ \ | | |/ / / | |/| | |
| | * | | Do not use pdnsd anymore.Tails developers2012-10-261-1/+0
| | |/ / | | | | | | | | | | | | | | | | It has been orphaned in Debian, has quite some bugs in there, and apparently Tor's DNSPort's own caching could be good enough.
| * | | Install the iceweasel localization packages in a more standard way.Tails developers2012-10-241-0/+1
| |/ / | | | | | | | | | | | | | | | | | | Given we now fetch them from our own repository, that is pinned above all others, we don't need to use apt-get -t squeeze-backports anymore to fetch them.
| * | Merge branch 'feature/separate_Tor_streams' into develTails developers2012-09-301-0/+1
| |\ \
| | * \ Merge remote-tracking branch 'origin/devel' into feature/separate_Tor_streamsTails developers2012-09-251-0/+1
| | |\ \ | | | | | | | | | | | | | | | | | | | | Conflicts: config/chroot_local-includes/etc/firewall.conf
| | * | | Install curl, now needed by htpdate.Tails developers2012-09-041-0/+1
| | | |/ | | |/|
| * | | Add Japanese input system: scim-anthy.Tails developers2012-09-241-0/+2
| | |/ | |/|
| * | Rewrite Tails firewall using fermTails developers2012-09-231-0/+1
| |/ | | | | | | | | | | | | Tails firewall was written in very unsophisticated iptables-save/restore format. As more feature creeped in, it started to be quite unreadable. So we now use ferm (see <http://ferm.foo-projects.org/> for details) to specify Tails firewall.
| * Merge branch 'devel' into feature/incremental-upgradesTails developers2012-08-211-0/+8
| |\
| | * Ship unrar-free again, so that the GNOME archive manager knows about it.Tails developers2012-08-171-0/+1
| | | | | | | | | | | | | | | | | | | | | Closes: todo/have_archive_manager_support_rar_again We'll want to remove this once we ship file-roller 3.6 or newer: https://tails.boum.org/todo/remove_unrar-free/
| | * Merge branch 'feature/wireless-regulation' into develTails developers2012-08-171-0/+4
| | |\
| | | * Install crda and wireless-regdb from squeeze-backports, to get wireless ↵Tails developers2012-07-171-0/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | regulation working. Alternate title: 'for those who care about channels 12-13'. Details: http://womble.decadent.org.uk/blog/wireless-regulation-in-squeeze.html
| | * | Merge branch 'feature/precompiled-locales' into develTails developers2012-08-171-0/+2
| | |\ \
| | | * | Ship the locales-all package to get precompiled locales.Tails developers2012-07-131-0/+2
| | | |/
| | * | Install gnome-system-monitorTails developers2012-07-271-0/+1
| | |/ | | | | | | | | | | | | This fix the System Monitor applet, offers a nice graphical interface to control memory usage and should weight around 2 MB after compression.
| * | Don't explicitly install tails-iuk dependencies, let APT sort this out.Tails developers2012-07-241-8/+0
| | |